build: autogen.sh cleanup

Use "set -e" to force exit on failure and convert $* to "$@".

Signed-off-by: David Herrmann <dh.herrmann@googlemail.com>
This commit is contained in:
Matthew Monaco 2012-09-29 02:23:08 -06:00 committed by David Herrmann
parent bf18799015
commit c6c1fa5083

View File

@ -1,4 +1,5 @@
#!/bin/sh
mkdir -p m4/ || exit 1
autoreconf -i || exit 1
./configure --enable-debug $* || exit 1
set -e
mkdir -p m4
autoreconf -i
./configure --enable-debug "$@"